Bug 41554 - New Port: GKrellM-Plugin that scrolls currently logged on users
Summary: New Port: GKrellM-Plugin that scrolls currently logged on users
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-08-11 20:40 UTC by Steffen Vogelreuter
Modified: 2002-08-13 14:15 UTC (History)
0 users

See Also:


Attachments
gkrellmwho (4.37 KB, text/plain)
2002-08-11 20:40 UTC, Steffen Vogelreuter
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Steffen Vogelreuter 2002-08-11 20:40:01 UTC
	GKrellM-Plugin that scrolls currently logged on users
Comment 1 obraun 2002-08-12 10:19:44 UTC
Some issues:

* do not make a shar with absolute path, be just one directory above your
  ports directory, so a committer can put your port where he wants.
* do not include pkg-descr~ in your shar
* according to [1] pkg-descr should a longer description of the port, yours
  contains only the author.
* respect CFLAGS[2]

Anyway, your port works for me. So please fix the above and follow-up
with a new shar-file or a URL to the shar-file.

Regards,
         Olli

1. http://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/x56.html#AEN69
2. http://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/x3097.html
-- 
IST & IIS _ INF _ UniBwM _____ http://ist.unibw-muenchen.de/People/obraun/
Tele-Consulting GmbH _________ http://www.tele-consulting.com/ ___ obraun@
FreeBSD: The Power To Serve __ http://www.freebsd.org/ ___________________
Comment 2 Steffen Vogelreuter 2002-08-12 14:14:04 UTC
I just made a new shar according to the issues of a friend.

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	gkrellmwho/
#	gkrellmwho/files
#	gkrellmwho/files/patch-Makefile
#	gkrellmwho/files/patch-gkrellmwho.c
#	gkrellmwho/Makefile
#	gkrellmwho/distinfo
#	gkrellmwho/pkg-descr
#	gkrellmwho/pkg-comment
#	gkrellmwho/pkg-plist
#
echo c - gkrellmwho/
mkdir -p gkrellmwho/ > /dev/null 2>&1
echo c - gkrellmwho/files
mkdir -p gkrellmwho/files > /dev/null 2>&1
echo x - gkrellmwho/files/patch-Makefile
sed 's/^X//' >gkrellmwho/files/patch-Makefile << 'END-of-gkrellmwho/files/patch-Makefile'
X--- Makefile.orig	Mon Aug 12 14:13:00 2002
X+++ Makefile	Mon Aug 12 14:15:04 2002
X@@ -1,9 +1,9 @@
X # Modify INCLUDE to point to gkrellm.h (if it's not in /usr/local/include)
X-INCLUDE	= /usr/local/include
X+INCLUDE	= /usr/X11R6/include/gkrellm
X 
X CC	= gcc
X-CFLAGS	= -Wall -O2 -fPIC -I$(INCLUDE) 			\
X-	  `gtk-config --cflags` `imlib-config --cflags-gdk`
X+CFLAGS+= -fPIC -I$(INCLUDE) \
X+	  `gtk12-config --cflags` `imlib-config --cflags-gdk`
X LDFLAGS	=
X TARGET	= gkrellmwho
X 
END-of-gkrellmwho/files/patch-Makefile
echo x - gkrellmwho/files/patch-gkrellmwho.c
sed 's/^X//' >gkrellmwho/files/patch-gkrellmwho.c << 'END-of-gkrellmwho/files/patch-gkrellmwho.c'
X--- gkrellmwho.c.orig	Sun Aug 11 19:19:04 2002
X+++ gkrellmwho.c	Sun Aug 11 19:19:20 2002
X@@ -65,7 +65,7 @@
X 
X #define MAX_USERS	10	/* set this statically to avoid realloc() */
X #define USERS_LEN	MAX_USERS*MAX_USER_LEN + 1
X-#define COMMAND		"w -hs | sort | grep -v $LOGNAME"
X+#define COMMAND		"w -h | sort | grep -v $LOGNAME"
X #define DEF_NONE_MSG	"no users"
X static gchar users[USERS_LEN];	// list of users
X static int users_xoff;		// length of users string in pixels
END-of-gkrellmwho/files/patch-gkrellmwho.c
echo x - gkrellmwho/Makefile
sed 's/^X//' >gkrellmwho/Makefile << 'END-of-gkrellmwho/Makefile'
X# New ports collection makefile for:	gkrellmwho
X# Date Created:				11.August 2002
X# Whom:					Steffen Vogelreuter
X#
X# $FreeBSD$
X#
X
XPORTNAME=	gkrellmwho
XPORTVERSION=	0.4
XCATEGORIES=	sysutils
XMASTER_SITES=	http://web.wt.net/~billw/gkrellm/Plugins/
X
XMAINTAINER=	steffen@vogelreuter.de
X
XBUILD_DEPENDS=	${X11BASE}/include/gkrellm/gkrellm.h:${PORTSDIR}/sysutils/gkrellm
XRUN_DEPENDS=	gkrellm:${PORTSDIR}/sysutils/gkrellm
X
XWRKSRC=		${WRKDIR}/${DISTNAME:S/_/-/}
XUSE_X_PREFIX=	yes
XUSE_GTK=	yes
XUSE_IMLIB=	yes
XUSE_GMAKE=	yes
XALL_TARGET=	#empty
X
Xdo-install:
X	@${INSTALL_PROGRAM} ${WRKSRC}/gkrellmwho.so ${PREFIX}/libexec/gkrellm/plugins
X
X.include <bsd.port.mk>
END-of-gkrellmwho/Makefile
echo x - gkrellmwho/distinfo
sed 's/^X//' >gkrellmwho/distinfo << 'END-of-gkrellmwho/distinfo'
XMD5 (gkrellmwho-0.4.tar.gz) = f12870678fb901208c0f8102840c35fd
END-of-gkrellmwho/distinfo
echo x - gkrellmwho/pkg-descr
sed 's/^X//' >gkrellmwho/pkg-descr << 'END-of-gkrellmwho/pkg-descr'
XA GKrellm-Plugin that horizontally scrolls in a panel a list of currently
Xlogged on users (excluding the invoking user). 
X
XAuthor: Ernesto Novillo <ernie@cs.ualberta.ca>
XWWW: http://www.cs.ualberta.ca/~ernie
X
X-- Steffen Vogelreuter
Xsteffen@vogelreuter.de
END-of-gkrellmwho/pkg-descr
echo x - gkrellmwho/pkg-comment
sed 's/^X//' >gkrellmwho/pkg-comment << 'END-of-gkrellmwho/pkg-comment'
XA plugin that scrolls in a panel a list of currently logged on users
END-of-gkrellmwho/pkg-comment
echo x - gkrellmwho/pkg-plist
sed 's/^X//' >gkrellmwho/pkg-plist << 'END-of-gkrellmwho/pkg-plist'
Xlibexec/gkrellm/plugins/gkrellmwho.so
END-of-gkrellmwho/pkg-plist
exit



-- 
What sane person could live in this world and not be crazy?
		-- Ursula K. LeGuin
Comment 3 Christian Weisgerber freebsd_committer 2002-08-13 14:14:48 UTC
State Changed
From-To: open->closed

Committed with some fixes, thanks!